#!/bin/bash
#
# update_svn_version.sh - A script to update the current repository revision
# number in the module file module_version.f90
#
# dwhipp - 08/12

# Revert module_version.f90 to original
svn revert module_version.f90 >> /dev/null

# Store current revision
svnrev=`svnversion -n .`

# Generate new module_version.f90
echo "module version" > module_version.f90
echo "" >> module_version.f90
echo "character*8, parameter :: svnrev = '$svnrev'" >> module_version.f90
echo "" >> module_version.f90
echo "end module version" >> module_version.f90
